Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | List of all members
OpenMesh::IO::BaseExporter Class Referenceabstract

`#include <libs_required/OpenMesh/src/OpenMesh/Core/IO/exporter/BaseExporter.hh>`

Inheritance diagram for OpenMesh::IO::BaseExporter:

## Public Member Functions
virtual Vec3f | point (VertexHandle _vh) const =0
virtual Vec3f | normal (VertexHandle _vh) const =0
virtual Vec3uc | color (VertexHandle _vh) const =0
virtual Vec4uc | colorA (VertexHandle _vh) const =0
virtual Vec3ui | colori (VertexHandle _vh) const =0
virtual Vec4ui | colorAi (VertexHandle _vh) const =0
virtual Vec3f | colorf (VertexHandle _vh) const =0
virtual Vec4f | colorAf (VertexHandle _vh) const =0
virtual Vec2f | texcoord (VertexHandle _vh) const =0
virtual unsigned int | get_vhandles (FaceHandle _fh, std::vector< VertexHandle > &_vhandles) const =0
virtual Vec3f | normal (FaceHandle _fh) const =0
virtual Vec3uc | color (FaceHandle _fh) const =0
virtual Vec4uc | colorA (FaceHandle _fh) const =0
virtual Vec3ui | colori (FaceHandle _fh) const =0
virtual Vec4ui | colorAi (FaceHandle _fh) const =0
virtual Vec3f | colorf (FaceHandle _fh) const =0
virtual Vec4f | colorAf (FaceHandle _fh) const =0
virtual Vec3uc | color (EdgeHandle _eh) const =0
virtual Vec4uc | colorA (EdgeHandle _eh) const =0
virtual Vec3ui | colori (EdgeHandle _eh) const =0
virtual Vec4ui | colorAi (EdgeHandle _eh) const =0
virtual Vec3f | colorf (EdgeHandle _eh) const =0
virtual Vec4f | colorAf (EdgeHandle _eh) const =0
virtual const BaseKernel * | kernel ()
virtual size_t | n_vertices () const =0
virtual size_t | n_faces () const =0
virtual size_t | n_edges () const =0
virtual bool | is_triangle_mesh () const
virtual bool | has_vertex_normals () const
virtual bool | has_vertex_colors () const
virtual bool | has_vertex_texcoords () const
virtual bool | has_edge_colors () const
virtual bool | has_face_normals () const
virtual bool | has_face_colors () const

## Detailed Description

Base class for exporter modules. The exporter modules provide an interface between the writer modules and the target data structure.

Definition at line 89 of file BaseExporter.hh.

The documentation for this class was generated from the following file:

- libs_required/OpenMesh/src/OpenMesh/Core/IO/exporter/BaseExporter.hh